Subject: Re: [PATCH net-next v5 0/9] virtio-net: support device stats

From: Simon Horman <[email-masked]>
Date: Thu, 21 Mar 2024 12:42:19 +0000

On Thu, Mar 21, 2024 at 11:54:34AM +0800, Xuan Zhuo wrote:
> On Wed, 20 Mar 2024 20:38:01 -0700, Jakub Kicinski <[email-masked]> wrote:
> > On Wed, 20 Mar 2024 16:04:21 +0800 Xuan Zhuo wrote:
> > > I have a question regarding the workflow for feature discussions. If we
> > > consistently engage in discussions about a particular feature, this may result
> > > in the submission of multiple patch sets. In light of this, should we modify the
> > > usage of "PATCH" or "RFC" in our submissions depending on whether the merge
> > > window is open or closed? This causes the title of our patch sets to keep
> > > changing.
> >
> > Is switching between RFC and PATCH causing issues?
> 
> You know someone may ignore the RFC patches.
> And for me, that the pathsets for the particular feture have differ
> prefix "PATCH" or "RFC" is odd.
> 
> > Should be a simple modification to the git format-patch argument.
> 
> That is ok.
> 
> 
> > But perhaps your workload is different than mine.
> >
> > The merge window is only 2 weeks every 10 weeks, it's not changing
> > often, I don't think.
> 
> YES. I'm ok, if that is a rule.

Hi,

Maybe this helps:

It is a long standing rule that for netdev, during the merge window,
net-next is closed. During this time bugfixes may be posted (for net),
and RFCs may be posted.

https://docs.kernel.org/process/maintainer-netdev.html#git-trees-and-patch-flow